## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global api_version 300
%global glib_version 2.74
%global gtk_version 3.20

Name:           libgedit-gtksourceview
Version:        299.4.0
Release:        %autorelease
Summary:        Gedit Technology - Source code editing widget
License:        LGPL-2.1-or-later
URL:            https://gedit-text-editor.org/
Source:         https://download.gnome.org/sources/%{name}/299/%{name}-%{version}.tar.xz
# %%generate_buildrequires in RPM spec
Patch:          rpmspec.patch

BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  gtk-doc
BuildRequires:  meson
BuildRequires:  pkgconfig(gio-2.0) >= %{glib_version}
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= %{gtk_version}
BuildRequires:  pkgconfig(libxml-2.0)

%description
libgedit-gtksourceview is a library that extends GtkTextView, the standard GTK
widget for multiline text editing. This library adds support for syntax
highlighting, undo/redo, file loading and saving, search and replace, a
completion system, printing, displaying line numbers, and other features typical
of a source code editor.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1


%build
%meson
%meson_build


%install
%meson_install

%find_lang libgedit-gtksourceview-%{api_version}


%files -f libgedit-gtksourceview-%{api_version}.lang
%license COPYING
%doc NEWS README.md
%{_libdir}/libgedit-gtksourceview-%{api_version}.so.3{,.*}
%dir %{_libdir}/girepository-1.0/
%{_libdir}/girepository-1.0/GtkSource-%{api_version}.typelib
%{_datadir}/libgedit-gtksourceview-%{api_version}/

%files devel
%{_includedir}/libgedit-gtksourceview-%{api_version}/
%{_libdir}/libgedit-gtksourceview-%{api_version}.so
%{_libdir}/pkgconfig/libgedit-gtksourceview-%{api_version}.pc
%dir %{_datadir}/gir-1.0/
%{_datadir}/gir-1.0/GtkSource-%{api_version}.gir
%dir %{_datadir}/gtk-doc/
%dir %{_datadir}/gtk-doc/html/
%doc %{_datadir}/gtk-doc/html/libgedit-gtksourceview-%{api_version}/


%changelog
## START: Generated by rpmautospec
* Fri Mar 28 2025 Yaakov Selkowitz <yselkowi@redhat.com> - 299.4.0-1
- Update to 299.4.0 (rhbz#2313981)

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 299.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 299.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Feb 01 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 299.0.5-1
- Update to 299.0.5

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 299.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 299.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Aug 18 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 299.0.4-1
- Initial build
## END: Generated by rpmautospec
